PCP-MEMINFO(1)

NAME
pcp-meminfo - Report statistics for System Memory.

SYNOPSIS
pcp [pcp options] meminfo [-s samples] [-a archive] [-S start_time] [-T end_time]

DESCRIPTION
The pcp-meminfo command is used for viewing the different kinds of stats related to memory. Using various options it helps a user to analyze useful information related to the memory availability. This information includes total memory, memory available, shared memory, etc. By default pcp-meminfo reports live data for the local host.

OPTIONS

-a, --archive
    Fetch /proc/meminfo for a specified archive file

-s, --samples
    Get the meminfo for specified number of samples count

-S, --start TIME
    Filter the samples from the archive from the given time

-T, --finish TIME
    Filter the samples from the archive till the given time

-V, --version
    Display version number and exit.

-?, --help
    Display usage message and exit.

NOTES
pcp-meminfo collects information from /proc/meminfo and aims to be command line and output compatible with it.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), pmParseInterval(3) and environ(7).